-- Host: localhost
-- Server Version: 5.0.32
-- Datenbank: `greylist`

-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `blockingduration`
-- 

CREATE TABLE `blockingduration` (
  `pattern` varchar(40) collate latin1_german1_ci NOT NULL,
  `type` tinyint(4) NOT NULL,
  `duration` smallint(4) NOT NULL,
  PRIMARY KEY  (`pattern`,`type`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_german1_ci;

-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `greyaccess`
-- 

CREATE TABLE `greyaccess` (
  `source` varchar(15) collate latin1_german1_ci NOT NULL,
  `sender` varchar(100) collate latin1_german1_ci NOT NULL,
  `recipient` varchar(50) collate latin1_german1_ci NOT NULL,
  `firstseen` datetime NOT NULL,
  `whitelistat` datetime NOT NULL,
  `lastseen` datetime NOT NULL,
  `mailcount` int(11) NOT NULL default '0',
  `blockedmailcount` int(11) NOT NULL default '0',
  `helo` varchar(80) collate latin1_german1_ci default NULL,
  `hostname` varchar(80) collate latin1_german1_ci default NULL,
  `cleanupat` datetime NOT NULL,
  PRIMARY KEY  (`source`,`sender`,`recipient`),
  KEY `idx_blocked` (`blockedmailcount`),
  KEY `idx_count` (`mailcount`),
  KEY `idx_cleanup` (`cleanupat`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_german1_ci;

-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `whitedomain`
-- 

CREATE TABLE `whitedomain` (
  `domain` varchar(20) collate latin1_german1_ci NOT NULL,
  `comment` varchar(20) collate latin1_german1_ci NOT NULL,
  `lastseen` datetime default NULL,
  PRIMARY KEY  (`domain`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_german1_ci;

-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `forWhitedomain`
-- 

CREATE ALGORITHM=UNDEFINED DEFINER=`root`@`localhost` SQL SECURITY DEFINER VIEW `greylist`.`forWhitedomain` AS select `greylist`.`greyaccess`.`source` AS `source`,count(`greylist`.`greyaccess`.`mailcount`) AS `anzahl` from `greylist`.`greyaccess` where (`greylist`.`greyaccess`.`mailcount` > 0) group by `greylist`.`greyaccess`.`source`;

-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `insaneMailServer`
-- 

CREATE ALGORITHM=UNDEFINED DEFINER=`root`@`localhost` SQL SECURITY DEFINER VIEW `greylist`.`insaneMailServer` AS select `greylist`.`greyaccess`.`source` AS `source`,`greylist`.`greyaccess`.`sender` AS `sender`,`greylist`.`greyaccess`.`recipient` AS `recipient`,`greylist`.`greyaccess`.`firstseen` AS `firstseen`,`greylist`.`greyaccess`.`whitelistat` AS `whitelistat`,`greylist`.`greyaccess`.`lastseen` AS `lastseen`,`greylist`.`greyaccess`.`mailcount` AS `mailcount`,`greylist`.`greyaccess`.`blockedmailcount` AS `blockedmailcount` from `greylist`.`greyaccess` where ((`greylist`.`greyaccess`.`blockedmailcount` > 1) and (`greylist`.`greyaccess`.`mailcount` = 0));

-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `oldEntries`
-- 

CREATE ALGORITHM=UNDEFINED DEFINER=`root`@`localhost` SQL SECURITY DEFINER VIEW `greylist`.`oldEntries` AS select `greylist`.`greyaccess`.`source` AS `source`,`greylist`.`greyaccess`.`sender` AS `sender`,`greylist`.`greyaccess`.`recipient` AS `recipient`,`greylist`.`greyaccess`.`firstseen` AS `firstseen`,`greylist`.`greyaccess`.`whitelistat` AS `whitelistat`,`greylist`.`greyaccess`.`lastseen` AS `lastseen`,`greylist`.`greyaccess`.`mailcount` AS `mailcount`,`greylist`.`greyaccess`.`blockedmailcount` AS `blockedmailcount`,`greylist`.`greyaccess`.`helo` AS `helo`,`greylist`.`greyaccess`.`hostname` AS `hostname`,`greylist`.`greyaccess`.`cleanupat` AS `cleanupat` from `greylist`.`greyaccess` where (`greylist`.`greyaccess`.`cleanupat` < now());

-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `passedMails`
-- 

CREATE ALGORITHM=UNDEFINED DEFINER=`root`@`localhost` SQL SECURITY DEFINER VIEW `greylist`.`passedMails` AS select `greylist`.`greyaccess`.`source` AS `source`,`greylist`.`greyaccess`.`sender` AS `sender`,`greylist`.`greyaccess`.`recipient` AS `recipient`,`greylist`.`greyaccess`.`firstseen` AS `firstseen`,`greylist`.`greyaccess`.`whitelistat` AS `whitelistat`,`greylist`.`greyaccess`.`lastseen` AS `lastseen`,`greylist`.`greyaccess`.`mailcount` AS `mailcount`,`greylist`.`greyaccess`.`blockedmailcount` AS `blockedmailcount`,`greylist`.`greyaccess`.`helo` AS `helo`,`greylist`.`greyaccess`.`hostname` AS `hostname`,`greylist`.`greyaccess`.`cleanupat` AS `cleanupat` from `greylist`.`greyaccess` where (`greylist`.`greyaccess`.`mailcount` > 0);

-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `waitingMails`
-- 

CREATE ALGORITHM=UNDEFINED DEFINER=`root`@`localhost` SQL SECURITY DEFINER VIEW `greylist`.`waitingMails` AS select `greylist`.`greyaccess`.`source` AS `source`,`greylist`.`greyaccess`.`sender` AS `sender`,`greylist`.`greyaccess`.`recipient` AS `recipient`,`greylist`.`greyaccess`.`firstseen` AS `firstseen`,`greylist`.`greyaccess`.`whitelistat` AS `whitelistat`,`greylist`.`greyaccess`.`lastseen` AS `lastseen`,`greylist`.`greyaccess`.`mailcount` AS `mailcount`,`greylist`.`greyaccess`.`blockedmailcount` AS `blockedmailcount`,`greylist`.`greyaccess`.`helo` AS `helo`,`greylist`.`greyaccess`.`hostname` AS `hostname`,`greylist`.`greyaccess`.`cleanupat` AS `cleanupat` from `greylist`.`greyaccess` where (`greylist`.`greyaccess`.`mailcount` = 0);

